Skip to main content

Refund


Request a refund to return the funds from a completed payment. Refunding a payment requires the transaction ID from a capture or sale response.

Supported Refund Services

These refund services are available with PayTo Pay by Bank:

  • Full refunds for the same amount of the original sale
  • Partial refunds for an amount less than the original sale

Endpoints

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

The {id} is the request ID contained in the original transaction request.

See Endpoints for the full per-brand Server URLs reference.

Example

{  "paymentInformation": {    "paymentType": {      "name": "bankTransfer",      "method": {        "name": "payToPayByBank"      }    }  },  "processingInformation": {    "actionList": ["AP_REFUND"]  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "AUD"    }  }}
{    "processorInformation": {        "responseCode": "00001",        "transactionId": "9af6bd29-8ea9-4f30-b6d4-58313566bcb0"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "AUD"        }    },    "reconciliationId": "KOZX0DMQKX0D",    "message": "Request was processed successfully.",    "status": "PENDING",    "id": "7544094135706957804805",    "submitTimeUtc": "2025-08-05T17:52:08Z"}
FieldTypeDescription
clientReferenceInformation.codeSet to an 18-character value or less.
orderInformation.amountDetails.currencySet to AUD.
orderInformation.amountDetails.totalAmount
paymentInformation.paymentType.method.nameSet to payToPayByBank.
paymentInformation.paymentType.nameSet to bankTransfer.
processingInformation.actionListSet to AP_REFUND.

Last published: September 29, 2026